Loading...
Searching...
No Matches
ne10_fir_lattice_instance_f32_t Struct Reference

Instance structure for the floating point FIR Lattice filter. More...

`#include <NE10_types.h>`

## Public Attributes

ne10_uint16_t | numStages
| numStages of the of lattice filter.
ne10_float32_t * | pState
| Points to the state variable array.
ne10_float32_t * | pCoeffs
| Points to the coefficient array.

## Detailed Description

Instance structure for the floating point FIR Lattice filter.

Definition at line 374 of file NE10_types.h.

## Member Data Documentation

## numStages

ne10_uint16_t ne10_fir_lattice_instance_f32_t::numStages

numStages of the of lattice filter.

Definition at line 376 of file NE10_types.h.

## pCoeffs

ne10_float32_t* ne10_fir_lattice_instance_f32_t::pCoeffs

Points to the coefficient array.

The array is of length numStages.

Definition at line 378 of file NE10_types.h.

## pState

ne10_float32_t* ne10_fir_lattice_instance_f32_t::pState

Points to the state variable array.

The array is of length numStages.

Definition at line 377 of file NE10_types.h.

The documentation for this struct was generated from the following file:

- NE10_types.h